"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Connector = void 0;
const createMongoDBContext_1 = require("./core/createMongoDBContext");
const DefaultOptions = {
    useNewUrlParser: true,
    useUnifiedTopology: true,
};
const Connector = (config) => ({
    connect: (options = {}) => createMongoDBContext_1.createMongoDBContext(config, Object.assign({}, DefaultOptions, options)),
});
exports.Connector = Connector;
Object.freeze(exports.Connector);
//# sourceMappingURL=Connector.js.map